
#ifndef _SCREEN_H_
#define _SCREEN_H_

#include <SDL/SDL.h>

SDL_Surface *screen;

Uint8 interpolation;
Uint8 nblitter;
Uint8 neffect;
Uint8 scale;
Uint8 fullscreen;

Uint8 get_effect_by_name(char *name);
Uint8 get_blitter_by_name(char *name);
void print_blitter_list(void);
void print_effect_list(void);

SDL_bool screen_init();
SDL_bool screen_resize(int w, int h);
void screen_update();
void screen_close();

void screen_fullscreen();

#endif
